Name:          umockdev
Version:       0.17.3
Release:       1mamba
Summary:       Mock hardware devices for creating unit tests and bug reporting
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/umockdev
Source:        https://github.com/martinpitt/umockdev.git/%{version}/umockdev-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpcap-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Mock hardware devices for creating unit tests and bug reporting.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

rm -f %{buildroot}%{_libdir}/libumockdev.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/umockdev-record
%{_bindir}/umockdev-run
%{_bindir}/umockdev-wrapper

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libumockdev-preload.so.*
%{_libdir}/libumockdev.so.*
%{_libdir}/girepository-1.0/UMockdev-1.0.typelib
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/umockdev-1.0
%{_includedir}/umockdev-1.0/*
%{_libdir}/libumockdev.so
%{_libdir}/libumockdev-preload.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
#%dir %{_datadir}/doc/umockdev
#%{_datadir}/doc/umockdev/*
%{_datadir}/gir-1.0/UMockdev-1.0.gir
%{_datadir}/vala/vapi/umockdev-1.0.vapi
%doc NEWS

%changelog
* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 0.17.3-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 0.17.2-1mamba
- automatic version update by autodist

* Wed Dec 15 2021 Automatic Build System <autodist@mambasoft.it> 0.17.1-1mamba
- automatic version update by autodist

* Sun Dec 12 2021 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Wed Sep 15 2021 Automatic Build System <autodist@mambasoft.it> 0.16.3-1mamba
- automatic version update by autodist

* Thu Aug 26 2021 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 0.15.5-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Automatic Build System <autodist@mambasoft.it> 0.15.4-1mamba
- automatic version update by autodist

* Sun Dec 27 2020 Automatic Build System <autodist@mambasoft.it> 0.15.3-1mamba
- automatic version update by autodist

* Wed Nov 25 2020 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 0.15.1-1mamba
- automatic version update by autodist

* Sun Oct 25 2020 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 0.12.1-1mamba
- automatic version update by autodist

* Tue Sep 25 2018 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic version update by autodist

* Mon Jul 30 2018 Automatic Build System <autodist@mambasoft.it> 0.11.3-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic version update by autodist

* Fri Mar 23 2018 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Tue Feb 13 2018 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Mon Feb 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1mamba
- update to 0.10

* Sun Nov 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4-1mamba
- package created using the webbuild interface
